package com.steerinfo.ems.tcm0334.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class TCm0334 implements IBasePO<String> {

    /**
     * 监测点代码(POWERMONITORCODE,VARCHAR,400)
     */
    @ApiModelProperty(value="监测点代码",required=false)
    private String powermonitorcode;

    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=true)
    private String recordid;

    /**
     * 监测点名称(POWERMONITORNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="监测点名称",required=true)
    private String powermonitorname;

    /**
     * 系统名称(POWERSYSTEMNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="系统名称",required=true)
    private String powersystemname;

    /**
     * 制定年度(CREATYEAR,VARCHAR,400)
     */
    @ApiModelProperty(value="制定年度",required=true)
    private String creatyear;

    /**
     * 创建人(CREATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="创建人",required=true)
    private String createman;

    /**
     * 创建时间(CREATETIME,DATE,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,DATE,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date updatetime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.powermonitorcode;
    }

    @Override
    public void setId(String powermonitorcode) {
        this.powermonitorcode = powermonitorcode == null ? null : powermonitorcode.trim();
    }

    public String getPowermonitorcode() {
        return powermonitorcode;
    }

    public void setPowermonitorcode(String powermonitorcode) {
        this.powermonitorcode = powermonitorcode == null ? null : powermonitorcode.trim();
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getPowermonitorname() {
        return powermonitorname;
    }

    public void setPowermonitorname(String powermonitorname) {
        this.powermonitorname = powermonitorname == null ? null : powermonitorname.trim();
    }

    public String getPowersystemname() {
        return powersystemname;
    }

    public void setPowersystemname(String powersystemname) {
        this.powersystemname = powersystemname == null ? null : powersystemname.trim();
    }

    public String getCreatyear() {
        return creatyear;
    }

    public void setCreatyear(String creatyear) {
        this.creatyear = creatyear == null ? null : creatyear.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", powermonitorcode=").append(powermonitorcode);
        sb.append(", recordid=").append(recordid);
        sb.append(", powermonitorname=").append(powermonitorname);
        sb.append(", powersystemname=").append(powersystemname);
        sb.append(", creatyear=").append(creatyear);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}